Package org.eclipse.m2m.atl.emftvm.impl

# Class RuleImpl.DefaultOffState

java.lang.Object
org.eclipse.m2m.atl.emftvm.impl.RuleImpl.DefaultState
org.eclipse.m2m.atl.emftvm.impl.RuleImpl.DefaultOffState

Enclosing class:
  RuleImpl

protected class RuleImpl.DefaultOffState extends RuleImpl.DefaultState
`RuleImpl.DefaultState` class for rules with `Rule.isDefault()` set to `false`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DefaultOffState()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createDefaultMapping(TraceLinkSet traces, org.eclipse.emf.common.util.EList<SourceElement> ses)`
Creates a default trace mapping entry for the source values in `ses`, if applicable.
`boolean`
`createDefaultMapping(TraceLinkSet traces, org.eclipse.emf.common.util.EList<SourceElement> teMapsTo, int seSize)`
Creates a default trace mapping entry for the source values in `teMapsTo`, if applicable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultOffState

protected DefaultOffState()

## Method Details

### createDefaultMapping

public void createDefaultMapping(TraceLinkSet traces, org.eclipse.emf.common.util.EList<SourceElement> ses)
Creates a default trace mapping entry for the source values in `ses`, if applicable.

Specified by:
  `createDefaultMapping` in class `RuleImpl.DefaultState`
Parameters:
  `traces` - the trace link set to add the default traces to
  `ses` - the source values that serve as a the default trace key

### createDefaultMapping

public boolean createDefaultMapping(TraceLinkSet traces, org.eclipse.emf.common.util.EList<SourceElement> teMapsTo, int seSize)
Creates a default trace mapping entry for the source values in `teMapsTo`, if applicable.

Specified by:
  `createDefaultMapping` in class `RuleImpl.DefaultState`
Parameters:
  `traces` - the trace link set to add the default traces to
  `teMapsTo` - the source values that serve as a the default trace key
  `seSize` - the amount of source elements for this rule
Returns:
  `true` iff default mappings are set for complete list of all source elements